#ifndef COMPOUNDENGINE_HPP
#define COMPOUNDENGINE_HPP

#include <yade/core/Engine.hpp>

class CompoundEngine: public Engine
{
   public :
     vector<shared_ptr<Engine> > engines;

      CompoundEngine();
      virtual void action(Body*);
      virtual ~CompoundEngine() {};

   protected :
        virtual void preaction() {};
	virtual void postaction() {};

	virtual void registerAttributes();

   REGISTER_CLASS_NAME(CompoundEngine); 
   REGISTER_BASE_CLASS_NAME(Engine);
};

REGISTER_SERIALIZABLE(CompoundEngine,false);

#endif // COMPOUNDENGINE_HPP

