#ifndef DATA2SILORECORDERUNIT_HPP
#define DATA2SILORECORDERUNIT_HPP

#include <yade/core/DataRecorder.hpp>

class Data2SiloRecorder;

class Data2SiloRecorderUnit : public DataRecorder {
    friend class Data2SiloRecorder;
    protected:
       shared_ptr<Data2SiloRecorder> baseRecorder;

   public :

      Data2SiloRecorderUnit() {};
      virtual ~Data2SiloRecorderUnit() {};

   REGISTER_CLASS_NAME(Data2SiloRecorderUnit); 
   REGISTER_BASE_CLASS_NAME(DataRecorder);
};

REGISTER_SERIALIZABLE(Data2SiloRecorderUnit,false);

#endif // DATA2SILORECORDERUNIT_HPP

