#include "CompoundEngine.hpp"
#include <yade/core/MetaBody.hpp>

CompoundEngine::CompoundEngine() : Engine()
{
   engines.clear();
}

void CompoundEngine::registerAttributes()
{
   REGISTER_ATTRIBUTE(engines);
}


void CompoundEngine::action(Body* body)
{
    preaction();
    MetaBody * ncb = YADE_CAST<MetaBody*>(body);
    shared_ptr<BodyContainer>& bodies = ncb->bodies;
    BodyContainer::iterator bi    = bodies->begin();
    BodyContainer::iterator biEnd = bodies->end();
    for(  ; bi!=biEnd ; ++bi )
       for ( int i=0,iEnd = engines.size(); i<iEnd; ++i)
	   engines[i]->action( (*bi).get() );
    postaction();
}

