#ifndef DATA2SILORECORDER_HPP
#define DATA2SILORECORDER_HPP

#include "CompoundEngine.hpp"
//#include <silo.h>

class Data2SiloRecorder: public CompoundEngine
{
      std::string outputFile; 
   public :
      std::string outputBase;
      int interval;

      Data2SiloRecorder();
      virtual ~Data2SiloRecorder() {};

      bool isActivated();

//     DBfile* openSiloDB();
//     void    closeSiloDB(DBfile*);

   protected :
       void preaction();
       void postaction();

       void registerAttributes();
       void postProcessAttributes(bool deserializing);

   REGISTER_CLASS_NAME(Data2SiloRecorder); 
   REGISTER_BASE_CLASS_NAME(CompoundEngine);
};

REGISTER_SERIALIZABLE(Data2SiloRecorder,false);

#endif // DATA2SILORECORDER_HPP

